# KiCAD_BOM_Generator

## Description
This BOM Generation Script takes KiCAD sch xml file and generate BOM in the following formats and rules:

1. Parts are not included if any of the following fields are checked:
    - DNP
    - excluded from BOM
2. Parts are Grouped by:
    - Value
    - Footprint
    - MFR_PN
    - MFR_ALT
3. Parts are sorted by: Ref
4. Output Fields: Ref, Value, MFR_PN, MFR_PN_ALT, Qnty, LibPart, Footprint, Comment

## Instructions to Use this Script
1. Set `PYTHONPATH` to include the path to the `kicad_netlist_reader` scripts inside KiCad Installation
    - Located at `{KiCAD Installation PATH}/share/kicad/plugins`
2. Generate the XML file from KiCad Schematics
3. Run `python -m generate_bom_from_xml input.xml output.csv`
